python-pybabel_1.3+dfsg.1-6_all.deb


Advertisement

Description

python-pybabel - tools for internationalizing Python applications (transitional dummy package)

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-pybabel
Package version: 1.3+dfsg.1
Package release: 6
Package architecture: all
Package type: deb
Installed size: 17 B
Download size: 3.77 KB
Official Mirror: archive.ubuntu.com
Babel is composed of two major parts. First tools to build and work with gettext message catalogs. Second a Python interface to the CLDR (Common Locale Data Repository), providing access to various locale display names, localized number and date formatting, etc. This is a dummy package for transition from python-pybabel to python-babel.

Alternatives

Requires

    Download

    Source package: python-babel

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-pybabel deb package:
      # sudo apt-get install python-pybabel

    Files

    • /usr/share/doc/python-pybabel/changelog.Debian.gz
    • /usr/share/doc/python-pybabel/copyright

    Changelog

    2015-09-16 - Barry Warsaw <barry@debian.org> python-babel (1.3+dfsg.1-6) unstable; urgency=medium * Team upload. * debian/copyright: Fill out the `Files: common/*` section to include the Unicode license agreement. (Closes: #795594) * debian/control: Update Standards-Version to 3.9.6 with no other changes necessary. * d/patches/aa4165d.patch: Upstream patch to fix test suite with newer versions of pytz. * d/watch: Use the pypi.debian.net redirector.

    2014-11-13 - Vincent Cheng <vcheng@debian.org> python-babel (1.3+dfsg.1-5) unstable; urgency=medium * Team upload. [ Thomas Viehmann ] * Call test suite with LC_ALL=C to avoid test failures. (Closes: #741834)

    2014-06-24 - Thomas Goirand <zigo@debian.org> python-babel (1.3+dfsg.1-4) unstable; urgency=medium * Fixed removal of pyshared folder stuff (that directory doesn't exist anymore in Sid/Testing). This fixes FTBFS (Closes: #751056).

    2014-02-13 - Thomas Goirand <zigo@debian.org> python-babel (1.3+dfsg.1-3) unstable; urgency=medium * Uses an embedded copy of dir_to_symlink() from dpkg-maintscript-helper to allow easier backports to Wheezy (since there's no dpkg backport with that function in Wheezy). * Adds the use of six for unicode strings to allow easier backports to Python 3.2. * Version build-depends on python-pytest and python3-pytest. * Runs the unit test on build (Closes: #727616). * Removes sphinx.ext.intersphinx from docs/conf.py to avoid network access during the build.

    2014-01-19 - Andreas Beckmann <anbe@debian.org> python-babel (1.3+dfsg.1-2.1) unstable; urgency=low * Non-maintainer upload. * Really fix the directory to symlink conversion. (Closes: #728427) Use dpkg-maintscript-helper dir_to_symlink which requires dpkg 1.17.5.

    2013-11-21 - Thomas Goirand <zigo@debian.org> python-babel (1.3+dfsg.1-2) unstable; urgency=low * Fixes upgrade from 1.3-2 that was deleting files from the -localedata folder (Closes: #728427). * Adds patch to fix-up locales in the currency name test, which caused FTBFS in a sbuild chroot (Closes: #728425). Thanks Andrey Rahmatullin for reporting, and James Page for his patch. * Corrects debian/copyright to include the license of the CLDR data. Thanks to Andrey Rahmatullin for reporting. (Closes: #729084).

    2013-10-23 - Thomas Goirand <zigo@debian.org> python-babel (1.3+dfsg.1-1) unstable; urgency=low * Updates the VCS fields URLs. * Now repacks upstream tarball to make it DFSG-Free: added a get-orig-source and a debian/repack script (Closes: #727615). * Adds a python-babel-localedata package containing the data files for both python-babel and python3-babel (Closes: #727617). * Runs the test suite at build time (Closes: #727616).

    2013-10-23 - Thomas Goirand <zigo@debian.org> python-babel (1.3-2) unstable; urgency=low * Adds missing Replaces + Breaks in the doc package (Closes: #726043). * Fixes the handling of alternatives removal, thanks to Andreas Beckmann <anbe@debian.org> for his extensive explanations in his bug report (Closes: #726621). * Updates debian/copyright to the currenty babel 1.3 licensing, thanks to Sebastian Ramacher for reporting this. * For the -doc package, removes wrong dependency on python3-pkg-resources, added missing depends on ${sphinxdoc:Depends}. Thanks to Sebastian Ramacher for reporting * Add myself as uploader.

    Advertisement
    Advertisement